Package org.springframework.web.servlet.view

# Interface FragmentsRendering

All Superinterfaces:
  `SmartView`, `View`

public interface FragmentsRendering extends SmartView
Public API for HTML rendering of a collection of fragments each with a view and independent model. For use with frontends technologies such as htmx where multiple page fragments may be rendered in one response. Supported as a return value from Spring MVC controller methods.

Since:
  6.2
Author:
  Rossen Stoyanchev

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`FragmentsRendering.Builder`
Defines a builder for `FragmentsRendering`.

## Field Summary

### Fields inherited from interface org.springframework.web.servlet.View

`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.http.HttpHeaders`
`headers()`
Return headers to add to the response.
`org.springframework.http.HttpStatusCode`
`status()`
Return the HTTP status to set the response to.
`static FragmentsRendering.Builder`
`with(String viewName)`
Variant of `with(String, Map)` with a view name only, but also inheriting model attributes from the shared model for the request.
`static FragmentsRendering.Builder`
`with(String viewName, Map<String,Object> model)`
Create a builder and add a fragment with a view name and a model.
`static FragmentsRendering.Builder`
`with(Collection<ModelAndView> fragments)`
Variant of `with(String, Map)` with a collection of fragments.

### Methods inherited from interface org.springframework.web.servlet.SmartView

`isRedirectView, resolveNestedViews`

### Methods inherited from interface org.springframework.web.servlet.View

`getContentType, render`

## Method Details

### status

@Nullable org.springframework.http.HttpStatusCode status()
Return the HTTP status to set the response to.

### headers

org.springframework.http.HttpHeaders headers()
Return headers to add to the response.

### with

static FragmentsRendering.Builder with(String viewName, Map<String,Object> model)
Create a builder and add a fragment with a view name and a model.

Parameters:
  `viewName` - the name of the view for the fragment
  `model` - attributes for the fragment in addition to model attributes inherited from the shared model for the request
Returns:
  the created builder

### with

static FragmentsRendering.Builder with(String viewName)
Variant of `with(String, Map)` with a view name only, but also inheriting model attributes from the shared model for the request.

Parameters:
  `viewName` - the name of the view for the fragment
Returns:
  the created builder

### with

static FragmentsRendering.Builder with(Collection<ModelAndView> fragments)
Variant of `with(String, Map)` with a collection of fragments.

Parameters:
  `fragments` - the fragments to add; each fragment also inherits model attributes from the shared model for the request
Returns:
  the created builder